/*
**  caller.h
**
**  Structures for CALLER.nnn
**
**  Copyright 1991-1993 Joaquim Homrighausen; All rights reserved.
**
**  Last revised: 93-06-18                         FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/
#ifndef __CALLER_H__
#define __CALLER_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
    {
    unsigned short int
                    iVersion;                         /*Interface version==1*/
    unsigned long   TimeStamp,                    /*UNIX style date and time*/
                    PortRate,                    /*DTE speed, 300-115200 BPS*/
                    CallRate;                    /*DCE speed, 300-115200 BPS*/
    unsigned short int
                    ComPort,                      /*0-65535, 0=Local, 1=COM1*/
                    TimeLeft;                       /*Number of minutes left*/
    char            ResultStr[255],            /*Modem result string, ASCIIZ*/
                    CallerID[255];                       /*Caller ID, ASCIIZ*/
    char            RESERVED[512];                              /*Future use*/
    }
    CallerRec;

#ifdef __cplusplus
}
#endif
#endif

/* end of file "caller.h" */

