/*
**  request.h
**
**  Structures for REQUEST.FD
**
**  Copyright 1991-1993 Joaquim Homrighausen; All rights reserved.
**
**  Last revised: 93-06-21                         FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/
#ifndef __REQUEST_H__
#define __REQUEST_H__

#ifdef __cplusplus
extern "C" {
#endif

    /* Miscellaneous flags (STATUS) */

#define ACTIVE          0x01
#define DELETED         0x02                         /*Never written to disk*/

    /* All strings are NUL terminated, a'la C ASCIIZ strings */

typedef struct
    {
    char                filename[41],   /*Filename or unique portion thereof*/
                        password[17];                             /*Password*/
    unsigned char       status;                                 /*0=Inactive*/
    }
    _REQUEST, *REQPTR;

#ifdef __cplusplus
}
#endif
#endif

/* end of file "request.h" */
