(*
**  session.inc
**
**  Structures for PASSWORD.FD
**
**  Copyright 1991-1993 Joaquim Homrighausen; All rights reserved.
**
**  Last revised: 93-06-21                         FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*)

    { Miscellaneous flags (STATUS) }

CONST
  ACTIVE                =$01;                 {Active, as opposed to inactive}
  DELETED               =$02;                          {Never written to disk}
  NOFREQS               =$04;          {Don't allow file requests from system}
  NOMAIL                =$08;                   {Don't allow mail from system}
  NOEMSI                =$10;             {No outbound EMSI sessions w/system}
  NOFTSC1               =$20;           {No outbound FTSC-1 sessions w/system}
  NOZAP                 =$40;           {No outbound ZedZap sessions w/system}
  NOYOOHOO              =$80;           {No outbound YooHoo sessions w/system}

(*
**  Note that any settings in the FDOPT environment variable applies to
**  all sessions (inbound AND outbound). For example, if FDOPT contains
**  "NOEMSI", NO EMSI handshaking will be done, regardless of settings
**  in the security manager
*)

TYPE
  PWDREC = RECORD
    zone,                                                     {System address}
    net,
    node,
    point   :WORD;
    password:ARRAY[1..9] of CHAR;                             {NUL terminated}
    status  :BYTE;                                                 {See above}
  END;{PWDREC}

(* end of file "session.inc" *)
