(*
**  sreq.inc
**
**  Structures of file created during an inbound service request and when
**  the FrontDoor Mailer invokes an external file request processor. This
**  filename is obtained with the =F macro.
**
**  NOTE: The format of this file is INCOMPATIBLE with the format used by
**        versions prior to 2.11.
**
**  Copyright 1991-1993 Joaquim Homrighausen; All rights reserved.
**
**  Last revised: 93-06-20                         FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*)

(*
**  The structure of the file is as follows:
**
**    <_InfoRec>
**    <NumValidEntriesInIDList> (WORD)
**    <_RemoteID * above>
*)
TYPE
  _RemoteID = RECORD
    Zone,                                                            {Address}
    Net,
    Node,
    Point   :WORD;
    Denied  :BOOLEAN;                      {Whether "DENY" applies to address}
  END;{_RemoteID}

  _InfoRec = RECORD
    SystemName  :STRING[80];                                     {System name}
    SystemOperator:STRING[80];                               {System operator}
    SystemLocation:STRING[40];                               {System location}
    SystemPhone :STRING[26];                   {System telephone number (raw)}
    SystemDomain:STRING[29];
    Baudrate    :LONGINT;                        {Maximum baud rate of system}
    Flags       :STRING[51];                   {Nodelist flags (as presented)}
    Zone,                        {Primary AKA, same as first _RemoteID record}
    Net,
    Node,
    Point       :WORD;
    Capabilities:LONGINT;              {Nodelist flags (as found in Nodelist)}
    TrxNum      :STRING[10];                              {Transaction number}
    SerialNumber:STRING[31];                                   {Serial number}
    Password    :STRING[18];                          {Session level password}
  END;{_InfoRec}

(* end of file "sreq.inc" *)
